iPhone Downgrade iPhone 2G from 3.1.3 to 2.2.1 or earlier

Discussion in 'Jailbreaks and iOS Hacks' started by aphexacid, Nov 17, 2012.

  1. aphexacid macrumors 6502a

    aphexacid

    Joined:
    Jul 31, 2007
    Location:
    Chicago
    #1
    I just pulled my old original iphone out of my closet, and its still kicking thankfully.

    After powering it on, i remember how absolutely unusable it became once i upgraded it to 3.1.3. It used to make me want to throw it across the room.

    So i'd like to downgrade it to at least 2.2.1. I'd LOVE to be able to go to one of the 1.xx firmwares though. I don't care about the appstore. The only thing this will ever get used for is nostalgia and to listen to some tunes maybe.

    So for the past 3 days i've been pulling my hair out. I've read a few threads on downgrading, and its just not working for me. I've tried old versions of itunes, on old macs, and it just gives me errors.

    Supposedly 8.1.1 was the version to use. So i tried plugging it into that. It tells me that itunes needs to be updated to 8.2 to use this iphone. So i upgrade to 8.2, and all it does is tell me "can't connect to ipod software update server".

    i've even wiped that macbook with a clean install of leopard and installed itunes 8.2 fresh, and i get the same message.

    trying to downgrade on a modern machine with the latest itunes, gives me errors 1600, and 20 respectively.

    yes i've done dfu, recovery, and even tried something called a "pwnd dfu" with redsnow. Nothing is working.

    i notice most, maybe all, are using windows computers. I don't have one.
    could this be the reason?
    am i using the wrong combo of stuff?

    anyone with help, much appreciated!


    Also to anyone reading that could be thinking of using the custom firmware called "whited00r".....don't bother. its terrible. They make it sound like its lightning fast. its not. its slow as hell, and is jailbroken. and on top of that has a bunch of bugs in it.
     
  2. aphexacid thread starter macrumors 6502a

    aphexacid

    Joined:
    Jul 31, 2007
    Location:
    Chicago
    #2
    i just found a guide by the infamous Spaz. It wants you to use pwnagetool 2.2.5 to make a custom ipsw, and then use itunes to restore.

    I keep getting "cannot connect to ipod software update server"

    I havent messed with the hosts file at all, havent even loaded tinyumbrella at all.

    And now that i think about it, even checking for a new update through itunes doesnt work.

    itunes 8.2.1
     
  3. Jessica Lares macrumors G3

    Jessica Lares

    Joined:
    Oct 31, 2009
    Location:
    Near Dallas, Texas, USA
    #3
    Here are all the firmwares for every model of iPod, iPhone, iPad, and Apple TV:

    http://www.felixbruns.de/iPod/firmware/

    You'll need to click the option key while clicking on restore to use that downloaded firmware.
     
  4. aphexacid thread starter macrumors 6502a

    aphexacid

    Joined:
    Jul 31, 2007
    Location:
    Chicago
    #4
    Thank you, i know i need to do that. The problem is that it will not load the fw.
    I've tried every itunes version from 7.7 to 8.2.1, downloading 9.0 right now.

    In dfu mode, when i tried to load a custom firmware, or even click the "check for update" button, it says that "cannot connect to ipod software update server"

    my Hosts file is unmodified. I have never run tinyumbrella at all.
     
  5. Jessica Lares macrumors G3

    Jessica Lares

    Joined:
    Oct 31, 2009
    Location:
    Near Dallas, Texas, USA
    #5
    You don't need to check for update, you need to restore, and you need to load it via the Open File window that pops up when you click option.
     
  6. glsillygili macrumors 6502

    glsillygili

    Joined:
    Dec 16, 2011
    Location:
    New York
    #6
    lies not all firmwares for some reason
     
  7. aphexacid thread starter macrumors 6502a

    aphexacid

    Joined:
    Jul 31, 2007
    Location:
    Chicago
    #7
    Yes, i know this.

    I'm trying to explain that its doesnt matter WHAT i do. click option click, or 'check for updates", i get the same error mesage.

    thanks.
     
  8. Jessica Lares macrumors G3

    Jessica Lares

    Joined:
    Oct 31, 2009
    Location:
    Near Dallas, Texas, USA
    #8
    Okay, let me try and get on the same page as you... Are you even seeing the Open box like this?

    [​IMG]
     
  9. aphexacid thread starter macrumors 6502a

    aphexacid

    Joined:
    Jul 31, 2007
    Location:
    Chicago
    #9
    LOL

    Yes. All i need to know is why i keep getting error messages after the process begins.


    With 8.2.1 and prior i was getting "cant connect to ipod software update server"

    With 9.0 i get error 1600 when i try to load the custom firmware.
    I've tried putting it in DFU myself, it doesnt work. I've tried pwned dfu mode with redsnow. also doesnt work.


    I've looked at a ton of guides on how to fix error 1600, and nothing works. I'm starting to believe this is just not possible anymore.

    Spaz has been banned ages ago, and applejuiced now too?!
     
  10. AdrianK macrumors 68020

    Joined:
    Feb 19, 2011
    #10
    My 2G wouldn't dowgrade from 3.1.3 either. Various errors, can't remember. I tried 1.1.4, which got stuck, but from there I was able to upgrade to 2.2.1.
     
  11. Jessica Lares macrumors G3

    Jessica Lares

    Joined:
    Oct 31, 2009
    Location:
    Near Dallas, Texas, USA
  12. Ddyracer macrumors 68000

    Ddyracer

    Joined:
    Nov 24, 2009
    #12
    What if you just hit restore without doing anything else?
     
  13. aphexacid thread starter macrumors 6502a

    aphexacid

    Joined:
    Jul 31, 2007
    Location:
    Chicago
    #13
    Could you elaborate a little bit? This is very interesting, and i'm will to try it!
    what Operating system and version of itunes were you using?
    what procedure did you use, and which tools did you utilize?
    any info is appreciated!

    Yeah i read that exact guide. I don't have access to ireb since its windows software, but i've tried pwnagetool and redsnow that also put it into that "special dfu" mode. No luck

    If i just click restore, it did different stuff depending on itunes version. itunes 8.2.1 would tell me that it can't connect to the "ipod update server".
    9.0 seems to want to connect and download the 3.1.3 software, but that doesnt help. When i try to load a custom firmware, or even just the factory 2.2.1 ipsw, it starts, and then when its time to "prepare iphone", i get a 1600 error every time.

    and then the current version of itunes on my main macbook pro restores the fw to 3.1.3 when i hit restore.

    I don't know what the hell else to do. You guys think its because i'm not using windows?

    A little while ago, i tried tiny umbrella to start tss server, to see if it would just not try to connecto to apple, and then tiny umbrella crashed, and i got a 1600 error in itunes anyways lol.

    GAH! so many hours wasted on this. I honestly didnt think this would be so difficult considering the fact that back in the day it was easy, until the 3GS came out and it started phoning home for software updates
     
  14. AdrianK macrumors 68020

    Joined:
    Feb 19, 2011
    #14
    I really can't remember much since this was over three years ago, but this is what I think I did:

    • First I made a pwned 2.2.1 IPSW with pwnage tool since I needed JB and unlock.
    • Then tried to flash it (probably via iTunes 8), which failed with an error.
    • Then I tried flashing a stock 1.1.4 IPSW (probably with iTunes 7), which failed with a progress bar on the screen.
    • I must have DFU'd it to get iTunes to recognise it again.
    • Then flash the custom 2.2.1 IPSW with iTunes, which actually stuck.
    All steps performed under OS X.
     
  15. svh79 macrumors newbie

    Joined:
    Mar 8, 2013
    #15
    I know this thread is probably a bit outdated, but I would like to do exactly what the topic says: downgrade an original iPhone to iPhone OS 1.0 (1A543a).

    Is there any chance to do this nowadays? I have already tried older iTunes versions using OSX Lion and Windows XP, but the lowest I get is 3.0. Using iTunes 8.2 tells me that the update servers are not available as soon as I connect the iPhone via USB. iTunes 8 tells me to upgrade to 8.2 to connect my 3.0 device.

    Any ideas are very welcome. :)
     
  16. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #16
    The lowest you can go is iPhone OS 1.1.4. But you have to dig through to find the corresponding Pwnage Tool version for that system.
     
  17. svh79, Mar 9, 2013
    Last edited: Mar 9, 2013

    svh79 macrumors newbie

    Joined:
    Mar 8, 2013
    #17
    I've just downgraded from 3.1.3 to 3.0 using iTunes 8.2.

    I have tried PwnageTool 1.1 (OSX), but it does not recognize my 3.0 device. It just keeps telling me to connect my iPhone via USB. With iTunes, I am still stuck with 8.2 which returns error 20 when I try to install iPhoneOS 2.2.1. iTunes 8.0 tells me to upgrade to 8.2 as it cannot handle 3.0.
     
  18. svh79 macrumors newbie

    Joined:
    Mar 8, 2013
    #18
    Finally reached 2.0 milestone.

    This is what worked for me:
    1) Parallels VM Windows XP: use WinPwn 2.5 BETA to build and install custom 2.0.1
    2) disconnect virtual USB-Port from XP VM (back to Mac) when iPhone shows white screen
    3) native OSX Lion: restore iPhoneOS 2.0 with iTunes 10

    Still trying to get 1.0 or 1.1.4 running.
     
  19. macgeek01 macrumors 6502a

    Joined:
    Apr 2, 2013
    #19
    Has anyone made any progress in this venture? I'd really like to have iOS 1.0 on my 1st Gen iPhone that I got on launch day for the nostalgia!
     
  20. vartanarsen macrumors 6502a

    Joined:
    Jul 2, 2010
    #20
    Sorry for the bump

    hi guys, sorry for the bump. Same boat here, trying to downgrade from 3.1.3 to original stock iPhone OS1. I don't have any SHSH whatsoever for my 2G
     
  21. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #21
    you don't need blobs to downgrade for the original iphone. you just need the ipsw, but the problem is that if the baseband versions don't match, itunes will throw some error at you and you won't be able to downgrade
     
  22. vartanarsen macrumors 6502a

    Joined:
    Jul 2, 2010
    #22
    OK thanks Darrick….so how can I make the Baseband versions match to avoid iTunes Errors
     
  23. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #23
    i don't think it's possible. i don't know too much about the really old iDevices so you can try searching online and see what turns up
     
  24. khoanguyen2512 macrumors newbie

    Joined:
    Mar 9, 2014
    Location:
    Hanoi-Vietnam
    #24
    I think Apple has blocked the connection to the "update server" for itunes-old version
     
  25. macgeek01 macrumors 6502a

    Joined:
    Apr 2, 2013
    #25
    Correct, Apple has required signing off on firmware installs for a long time now so you can't just use the old versions. I was hoping there may be a way to do this after jailbreaking.
     

Share This Page